Name:           msgviewer
Version:        1.9
Release:        1%{?dist}
Summary:        Display Outlook MSG Files
Group:          Desktop
License:        GPLv3
URL:            https://sourceforge.net/p/msgviewer
BuildArch:      noarch
Source0:        MSGViewer.tar.gz

Requires:       java
BuildRequires:  desktop-file-utils

%description
MsgViewer is email-viewer utility for .msg e-mail messages.

#define _binary_payload w9.gzdio

%prep
%setup -q -n MSGViewer

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/opt/MSGViewer/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications

# jar
install -d $RPM_BUILD_ROOT/opt/MSGViewer
install -d $RPM_BUILD_ROOT/opt/MSGViewer/lib
install -m755 MSGViewer.jar $RPM_BUILD_ROOT/opt/MSGViewer/MSGViewer.jar
install -m644 lib/*.jar $RPM_BUILD_ROOT/opt/MSGViewer/lib/
install -m755 MSGViewer $RPM_BUILD_ROOT/opt/MSGViewer/MSGViewer
install -m755 msg2mbox $RPM_BUILD_ROOT/opt/MSGViewer/
install -m755 msg2eml $RPM_BUILD_ROOT/opt/MSGViewer/
install -m644 icon.png $RPM_BUILD_ROOT/opt/MSGViewer/
ln -sf /opt/MSGViewer/MSGViewer $RPM_BUILD_ROOT/usr/bin/msgviewer
ln -sf /opt/MSGViewer/msg2mbox  $RPM_BUILD_ROOT/usr/bin/msg2mbox
ln -sf /opt/MSGViewer/msg2eml   $RPM_BUILD_ROOT/usr/bin/msg2eml

desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category=Application \
  --add-category=Utility \
  MSGViewer.desktop

%files
/opt/MSGViewer/MSGViewer.jar
/opt/MSGViewer/lib/*.jar
/opt/MSGViewer/MSGViewer
/opt/MSGViewer/msg2mbox
/opt/MSGViewer/msg2eml
/opt/MSGViewer/icon.png
%{_bindir}/msgviewer
%{_bindir}/msg2mbox
%{_bindir}/msg2eml
%{_datadir}/applications/MSGViewer.desktop

%changelog
* Tue Jan 30 2018 josef radinger <cheese@nosuchhost.net> - 1.9-1
- initial version

